std::span::empty(3)

NAME
std::span::empty - std::span::empty

Synopsis
   [[nodiscard]] constexpr bool empty() const noexcept;
   Checks if the span is empty.

Parameters
   (none)

Return value
   true if the span is empty (i.e., size() == 0); false otherwise.

Example
// Run this code
 #include <span>
 #include <iostream>
 #include <iomanip>
 int main()
 {
     std::span<const char> span{ "ABCDEF" };
     while (!span.empty()) {
         std::cout << std::quoted(span.data()) << '\n';
         span = span.last(span.size() - 1);
     }
 }

Output:
 "ABCDEF"
 "BCDEF"
 "CDEF"
 "DEF"
 "EF"
 "F"
 ""

See also
   size returns the number of elements in the sequence
        (public member function)